
#include <stdio.h>

main ()
{
 int y, m;
 char s[255];

 for (y=1984;y<=1999;y++)
	for (m=1;m<=12;m++)
		{
		 printf ("\n Generating %d.%02d ...\n", y, m);

		 /* Copying Input Joint catalog */
		 sprintf (s, "cp /data/dc11/joint/%d.%02d.cnss.phase.Z .", y, m);
		 system (s);

		 sprintf (s, "uncompress %d.%02d.cnss.phase.Z", y, m);
		 system (s);

		 /* Copying NCSN Mechanism file */
		 sprintf (s, "cp /data/dc11/joint/%d.%02d.cnss.mech.Z .", y, m);
                 system (s); 
 
                 sprintf (s, "uncompress %d.%02d.cnss.mech.Z", y, m); 
                 system (s); 
 
		 /* Copying BDSN Catalog file */
		 sprintf (s, "cp /data/dc6/ftp/outgoing/Joint/Final/CNSS1.0.3/%d.%02d.cnss.ucb .", y, m);
		 system (s);

		 /* Copying Id mapping file */
		 sprintf (s, "cp /data/dc11/joint/%d.%02d.map.3 .", y, m);
		 system (s);

		 /* Merging catalogs */
		 sprintf (s, "/data/dc11/dcmgr/jcmerge/jcmerge %d.%02d.cnss.phase %d.%02d.cnss.mech %d.%02d.cnss.ucb %d.%02d.map.3 %d.%02d.cnss.joint", y, m, y, m, y, m, y, m, y, m);

		 system (s);

		 /* Deleting files */
		 system ("rm *.phase *.mech *.map.3 *.cnss.ucb");
		}
}
